Generation Framework

## org.eclipse.gmf.mappings.presentation
Class GMFMapEditor.ReverseAdapterFactoryContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.eclipse.gmf.mappings.presentation.GMFMapEditor.ReverseAdapterFactoryContentProvider

All Implemented Interfaces:
  IContentProvider, INotifyChangedListener, IPropertySourceProvider, IStructuredContentProvider, ITreeContentProvider

Enclosing class:
  GMFMapEditor

public class GMFMapEditor.ReverseAdapterFactoryContentProvider
extends AdapterFactoryContentProvider

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`AdapterFactoryContentProvider.ViewerRefresh`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`adapterFactory, viewer, viewerRefresh`

Constructor Summary
`GMFMapEditor.ReverseAdapterFactoryContentProvider(AdapterFactory adapterFactory)`

Method Summary
`java.lang.Object[]` `getChildren(java.lang.Object object)`
`java.lang.Object[]` `getElements(java.lang.Object object)`
`java.lang.Object` `getParent(java.lang.Object object)`
`boolean` `hasChildren(java.lang.Object object)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`createPropertySource, dispose, getAdapterFactory, getPropertySource, inputChanged, notifyChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GMFMapEditor.ReverseAdapterFactoryContentProvider

    public GMFMapEditor.ReverseAdapterFactoryContentProvider(AdapterFactory adapterFactory)

Method Detail

### getElements

    public java.lang.Object[] getElements(java.lang.Object object)

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object object)

### hasChildren

    public boolean hasChildren(java.lang.Object object)

### getParent

    public java.lang.Object getParent(java.lang.Object object)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.